Get a bulk shipping group
curl --request GET \
--url https://api-dev.rain.xyz/v1/issuing/shipping-groups/{shippingGroupId} \
--header 'Api-Key: <api-key>'import requests
url = "https://api-dev.rain.xyz/v1/issuing/shipping-groups/{shippingGroupId}"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api-dev.rain.xyz/v1/issuing/shipping-groups/{shippingGroupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recipientFirstName": "<string>",
"address": {
"line1": "<string>",
"city": "<string>",
"region": "<string>",
"postalCode": "<string>",
"countryCode": "<string>",
"line2": "<string>",
"country": "<string>"
},
"recipientLastName": "<string>",
"recipientPhoneCountryCode": "1",
"recipientPhoneNumber": "5555555555"
}Shipping
Get a bulk shipping group
GET
/
issuing
/
shipping-groups
/
{shippingGroupId}
Get a bulk shipping group
Authorizations
Path Parameters
Id of the bulk shipping group to get
Response
Successful operation
The recipient's first name
Maximum string length:
50The bulk shipment's destination address
Show child attributes
Show child attributes
The recipient's last name
Maximum string length:
50The receiving party's phone country code
Required string length:
1 - 3Pattern:
^[0-9]+$Example:
"1"
The receiving party's phone number
Required string length:
1 - 15Pattern:
^[0-9]+$Example:
"5555555555"